Bug 169385 - apachectl forgets to pass options for config check
apachectl forgets to pass options for config check
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-27 14:53 EDT by Emmanuel Thomé
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: httpd-2.2.3-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 05:32:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Thomé 2005-09-27 14:53:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:

When /etc/sysconfig/httpd is non-empty, apachectl sources it.

However, when it checks the validity of the config files using httpd -t, it does not use the OPTIONS variable. See the script, lines 103 and following:

case $ARGV in
restart|graceful)
    if $HTTPD -t >&/dev/null; then
       $HTTPD $OPTIONS -k $ARGV
       ERROR=$?
    else
       echo "apachectl: Configuration syntax error, will not run \"$ARGV\":"
       testconfig
    fi

I have a broken configuration in the default location, this results in the mystifying:

apachectl: Configuration syntax error, will not run "graceful":
Syntax OK



Version-Release number of selected component (if applicable):
httpd-2.0.54-10.2

How reproducible:
Always

Steps to Reproduce:
1. Have in /etc/sysconfig/httpd:
OPTIONS="-f /localdisk/httpd/conf/httpd.conf"
2. Suppose that the configuration in /etc/httpd is broken
3. Try ``apachectl graceful''



Additional info:


Obviously, line 105 of the script should be changed to:

if $HTTPD $OPTIONS -t >&/dev/null; then
<snip>
Comment 1 Christian Iseli 2007-01-22 05:27:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Emmanuel Thomé 2007-01-22 05:32:09 EST
Problem seems to have been corrected as of httpd-2.2.3-5

Note You need to log in before you can comment on or make changes to this bug.